summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/doinfo')
-rwxr-xr-xbin/doinfo21
1 files changed, 21 insertions, 0 deletions
diff --git a/bin/doinfo b/bin/doinfo
new file mode 100755
index 00000000..a8d7f4d7
--- /dev/null
+++ b/bin/doinfo
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/doinfo,v 1.7 2004/10/04 13:56:50 vapier Exp $
+
+if [ ${#} -lt 1 ] ; then
+ echo "doinfo: at least one argument needed"
+ exit 1
+fi
+if [ ! -d "${D}usr/share/info" ] ; then
+ install -d "${D}usr/share/info"
+fi
+
+for x in "$@" ; do
+ if [ -e "${x}" ] ; then
+ install -m0644 "${x}" "${D}usr/share/info"
+ gzip -f -9 "${D}usr/share/info/${x##*/}"
+ else
+ echo "doinfo: ${x} does not exist"
+ fi
+done